

Summary:        This lib manages sieve support
Name:           libksieve
Version: 		18.08.2
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/
BuildRequires: cmake 
BuildRequires: libical-devel 
BuildRequires: libkconfig-devel 
BuildRequires: libkcoreaddons-devel 
BuildRequires: libkf5akonadi-devel 
BuildRequires: libkf5akonadimime5 
BuildRequires: libkf5archive-devel 
BuildRequires: libkf5completion-devel 
BuildRequires: libkf5configwidgets-devel 
BuildRequires: libkf5i18n-devel 
BuildRequires: libkf5iconthemes-devel 
BuildRequires: libkf5identitymanagement-devel 
BuildRequires: libkf5imap-devel 
BuildRequires: libkf5libkdepim-devel 
BuildRequires: libkf5mailtransport-devel 
BuildRequires: libkf5mime-devel 
BuildRequires: libkf5newstuff-devel 
BuildRequires: libkf5pimcommon-devel 
BuildRequires: libkf5pimtextedit-devel 
BuildRequires: libkf5sonnetui-devel 
BuildRequires: libkf5widgetsaddons-devel 
BuildRequires: libkf5windowsystem-devel 
BuildRequires: libkio-devel 
BuildRequires: libqt5core-devel 
BuildRequires: libqt5dbus-devel 
BuildRequires: libqt5gui-devel 
BuildRequires: libqt5network-devel 
BuildRequires: libqt5printsupport-devel 
BuildRequires: libqt5xml-devel 
BuildRequires: libsasl2-devel 
BuildRequires: qtbase5-common-devel 

%description
This lib manages sieve support.

%files
%_sysconfdir/xdg/ksieve_script.knsrc
%_sysconfdir/xdg/libksieve.categories
%_kf5_datadir/sieve
/etc/xdg/libksieve.renamecategories
%_kf5_datadir/locale

#--------------------------------------------------------------------

%package -n     kio5-sieve
Summary:        KDE sieve module
Group:          System/Libraries
Requires:       akonadi-contacts
Requires:       %{name} = %version

%description -n kio5-sieve
KDE sieve module.

%files -n kio5-sieve
%_kf5_plugindir/kio/sieve.so
%_kf5_services/sieve*

#--------------------------------------------------------------------

%define kf5managesieve_major 5
%define libkf5managesieve %mklibname kf5managesieve %{kf5managesieve_major}

%package -n %libkf5managesieve
Summary:      This lib manages sieve support
Group:        System/Libraries

Requires:     %name = %version

%description -n %libkf5managesieve
This lib manages sieve support.

%files -n %libkf5managesieve
%_kf5_libdir/libKF5KManageSieve.so.%{kf5managesieve_major}*


#--------------------------------------------------------------------

%define kf5ksieve_major 5
%define libkf5ksieve %mklibname kf5ksieve %{kf5ksieve_major}

%package -n %libkf5ksieve
Summary:      This lib manages sieve support
Group:        System/Libraries

Requires:     %name = %version

%description -n %libkf5ksieve
This lib manages sieve support.

%files -n %libkf5ksieve
%_kf5_libdir/libKF5KSieve.so.%{kf5ksieve_major}*

#--------------------------------------------------------------------

%define kf5ksieveui_major 5
%define libkf5ksieveui %mklibname kf5ksieveui_ %{kf5ksieveui_major}

%package -n %libkf5ksieveui
Summary:      This lib manages sieve support
Group:        System/Libraries

Requires:     %name = %version

%description -n %libkf5ksieveui
This lib manages sieve support.

%files -n %libkf5ksieveui
%_kf5_libdir/libKF5KSieveUi.so.%{kf5ksieveui_major}*

#--------------------------------------------------------------------

%define libksieve_devel %mklibname ksieve -d

%package -n %libksieve_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %libkf5managesieve = %version-%release
Requires:       %libkf5ksieve = %version-%release
Requires:       %libkf5ksieveui = %version-%release

Provides:       %name-devel = %{version}-%{release}

%description -n %libksieve_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %libksieve_devel
%_kf5_includedir/KManageSieve
%_kf5_includedir/kmanagesieve
%_kf5_includedir/KSieveUi
%_kf5_includedir/ksieveui
%_kf5_includedir/libksieve_version.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5LibKSieve
%_qt5_prefix/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%package        handbook
Summary:        Sieve Handbook
Group:          Documentation
BuildArch:      noarch

%description    handbook
This package provides Sieve handbook.

%files handbook
%{_kf5_docdir}/HTML/*/kioslave5/sieve/

#--------------------------------------------------------------------

%prep
%setup -q 

%build
%cmake_kf5
%make

%install
rm -rf %buildroot
%make_install -C build

%find_lang --all %{name}5


%changelog
* Fri Nov 02 2018 adrianomorselli <adrianomorselli> 18.08.2-1uplos2018
- update
